class Account  {
  int currentBalance
  
  Account(final int initialBalance) { currentBalance = initialBalance }
  
  void deposit(final int amount) {
    if (amount > 0) currentBalance += amount 
  }
  
  boolean withdraw(final int amount) {
    if(amount > 0 && currentBalance >= amount) 
    {
      currentBalance -= amount 
      return true
    }
    return false
  }

  int getBalance() { currentBalance }
}
