import clojure.lang.*
import java.util.concurrent.Callable

public class AccountService {
  public static void transfer(
    final Account from, final Account to, final int amount) {
    LockingTransaction.runInTransaction(new Callable<Void>() {
      public Void call() {
        println "About to transfer $amount"
        to.deposit(amount)
        from.withdraw(amount)
        null
      }
    })
  }
}