import groovyx.gpars.actor.DefaultActor

class HollywoodActor extends DefaultActor {
  def name
  public HollywoodActor(actorName) { name = actorName }  
  
  void act() {
    loop {
      react { role ->
        println "$name playing the role $role"  
        println "$name runs in ${Thread.currentThread()}"      
      }
    }
  }
}

depp = new HollywoodActor("Johny Depp").start()

println "Main running in ${Thread.currentThread()}"
depp << "Wonka"
depp << "Sparrow"

depp.join(1, java.util.concurrent.TimeUnit.SECONDS)
